## org.eclipse.emf.ecore.xmi.impl
Class XMLHandler.SingleReference

    java.lang.Object
      org.eclipse.emf.ecore.xmi.impl.XMLHandler.SingleReference

Enclosing class:
  XMLHandler

    protected static class XMLHandler.SingleReference

extends java.lang.Object

For unresolved forward references, the line number where the incorrect id appeared in an XML resource is needed, so the Value for the forward reference and the line number where the forward reference occurred must be saved until the end of the XML resource is encountered.

Constructor Summary
`XMLHandler.SingleReference(EObject object, EStructuralFeature feature, java.lang.Object value, int position, int lineNumber, int columnNumber)`

Method Summary
`int` `getColumnNumber()`
`EStructuralFeature` `getFeature()`
`int` `getLineNumber()`
`EObject` `getObject()`
`int` `getPosition()`
`java.lang.Object` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLHandler.SingleReference

    public XMLHandler.SingleReference(EObject object,
                                      EStructuralFeature feature,
                                      java.lang.Object value,
                                      int position,
                                      int lineNumber,
                                      int columnNumber)

Method Detail

### getObject

    public EObject getObject()

### getFeature

    public EStructuralFeature getFeature()

### getValue

    public java.lang.Object getValue()

### getPosition

    public int getPosition()

### getLineNumber

    public int getLineNumber()

### getColumnNumber

    public int getColumnNumber()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.